# H460_FeatureStd18 Class Reference

`#include <h460_std18.h>`

Inheritance diagram for H460_FeatureStd18:

[legend]
Collaboration diagram for H460_FeatureStd18:
[legend]

## Public Member Functions

| H460_FeatureStd18 ()
virtual | ~H460_FeatureStd18 ()
virtual void | AttachEndPoint (H323EndPoint *_ep)
virtual PBoolean | CommonFeature ()
virtual PBoolean | OnSendGatekeeperRequest (H225_FeatureDescriptor &pdu)
virtual void | OnReceiveGatekeeperConfirm (const H225_FeatureDescriptor &pdu)
virtual PBoolean | OnSendRegistrationRequest (H225_FeatureDescriptor &pdu)
virtual void | OnReceiveRegistrationConfirm (const H225_FeatureDescriptor &pdu)
virtual void | OnReceiveServiceControlIndication (const H225_FeatureDescriptor &pdu)

## Static Public Member Functions

static PStringArray | GetFeatureName ()
static PStringArray | GetFeatureFriendlyName ()
static int | GetPurpose ()
static PStringArray | GetIdentifier ()

## Constructor & Destructor Documentation

H460_FeatureStd18::H460_FeatureStd18 | ( |  | ) |

virtual H460_FeatureStd18::~H460_FeatureStd18 | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void H460_FeatureStd18::AttachEndPoint | ( | H323EndPoint * | _ep | ) | `[virtual]`

Attach the endpoint. Override this to link your own Endpoint Instance.

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd18::CommonFeature | ( |  | ) | `[inline, virtual]`

static PStringArray H460_FeatureStd18::GetFeatureFriendlyName | ( |  | ) | `[inline, static]`

Get Feature Friendly Name This usually the user friendly description

Reimplemented from H460_Feature.

static PStringArray H460_FeatureStd18::GetFeatureName | ( |  | ) | `[inline, static]`

Get Feature Name. This is usually the Derived Class Name

Reimplemented from H460_Feature.

static PStringArray H460_FeatureStd18::GetIdentifier | ( |  | ) | `[inline, static]`

static int H460_FeatureStd18::GetPurpose | ( |  | ) | `[inline, static]`

Get the purpose of the the Feature whether for Signalling,RAS or both. This determines when the class is instantized

Reimplemented from H460_Feature.

virtual void H460_FeatureStd18::OnReceiveGatekeeperConfirm | ( | const H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual void H460_FeatureStd18::OnReceiveRegistrationConfirm | ( | const H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual void H460_FeatureStd18::OnReceiveServiceControlIndication | ( | const H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd18::OnSendGatekeeperRequest | ( | H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

virtual PBoolean H460_FeatureStd18::OnSendRegistrationRequest | ( | H225_FeatureDescriptor & | pdu | ) | `[virtual]`

Reimplemented from H460_Feature.

The documentation for this class was generated from the following file:

- h460_std18.h